*articleプラグインが古い

-ページ: BugTrack
-投稿者: [[reimy]]
-優先順位: 緊急
-状態: 着手
-状態: 完了
-カテゴリー: プラグイン
-投稿日: 2003-04-08 (火) 06:36:15
-バージョン: 1.3.4

**メッセージ
articleプラグインが古いままなので、正しく改行されない(1行おきに表示される)。

「質問箱」はこの質問ばっかり。同じ回答を繰り返すのもそろそろやめたいので、1.3系のほうも1.4系同様の処理にしてほしい。1.3.2→1.3.4で直ってるのかと思ったら、いまだに古いままだった。

原因は1.3系のarticleプラグインが改行処理にblockquoteを使ってるから。なんでblockquoteなのか理解不能。
----
-1.4に同梱分は大丈夫なんでしょうか? --  SIZE(10){2003-04-08 (火) 15:48:09}
--改行の処理は修正してあるんですが、記事の左の空白を削ってしまう(一行目を整形済みにして投稿してもそうならない)問題があります。 XD -- [[ぱんだ]] SIZE(10){2003-04-08 (火) 18:14:38}
-とりあえず、
 名前:ほげ
 題名:ふが
 記事:
  aaa
 bbb
 ccc
を投稿したときに、1.3.4では
 **ふが
 >[[ほげ]] (xxxx-xx-xx (日) xx:xx:xx)
 ~
  aaa
 >bbb~
 >ccc~
 
 #comment
を、1.4では
 **ふが
 >[[ほげ]] (xxxx-xx-xx (日) xx:xx:xx)~
 ~
  aaa
 bbb~
 ccc~
 
 #comment
を出力するようにしておきます。 -- [[ぱんだ]] SIZE(10){2003-04-08 (火) 18:44:18}
-cvsに投入しました。 [[cvs:plugin/article.inc.php]](v1.4:r1.11)(v1.3.4:r1.6.2.2) -- [[ぱんだ]] SIZE(10){2003-04-08 (火) 18:52:17}
-結局、1.3系列ではblockquoteのままってことかな? -- [[reimy]] SIZE(10){2003-04-12 (土) 14:26:28}
-1.4系列もblockquote? -- SIZE(10){2003-04-12 (土) 19:12:26}

#comment


トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.4+ © 2001-2022 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.053 sec.

OSDN